#!/usr/bin/env python

from commands.command import Command
from evennia import CmdSet

class CmdFeed(Command):
    """
    Feed or give.
    """
    key = "feed"
    aliases = ["give"]

    def func(self):
        args = self.args.strip()
        if not args:
            self.caller.msg("Feed what?")
            return

        self.obj.feed(self.caller, self.args)

class CmdFeedSet(CmdSet):
    def at_cmdset_creation(self):
        self.add(CmdFeed)
